lwIP 2.1.2 Lightweight IP stack

Macros
Options
Applications » MDNS

## Macros
#define | MDNS_MAX_SERVICES 1
#define | MDNS_RESP_USENETIF_EXTCALLBACK LWIP_NETIF_EXT_STATUS_CALLBACK
#define | MDNS_DEBUG LWIP_DBG_OFF

## Detailed Description

## Macro Definition Documentation

## ◆ MDNS_DEBUG

#define MDNS_DEBUG LWIP_DBG_OFF

MDNS_DEBUG: Enable debugging for multicast DNS.

## ◆ MDNS_MAX_SERVICES

#define MDNS_MAX_SERVICES 1

LWIP_MDNS_RESPONDER==1: Turn on multicast DNS module. UDP must be available for MDNS transport. IGMP is needed for IPv4 multicast.The maximum number of services per netif

## ◆ MDNS_RESP_USENETIF_EXTCALLBACK

#define MDNS_RESP_USENETIF_EXTCALLBACK LWIP_NETIF_EXT_STATUS_CALLBACK

MDNS_RESP_USENETIF_EXTCALLBACK==1: register an ext_callback on the netif to automatically restart probing/announcing on status or address change.